Page MenuHomePhabricator

Upgrade swagger-ui version in mathoid
Closed, ResolvedPublic

Description

Currently the swagger ui version points to the master branch in github
https://phabricator.wikimedia.org/diffusion/GMAT/browse/master/package.json;ceacb23563d11a15b6820e5f30e29d77a4a41505$60

Those pointers to moving targets caused problems in the past.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2018, 2:59 PM
Physikerwelt triaged this task as Low priority.Feb 26 2018, 3:00 PM
Physikerwelt set the point value for this task to 1.
mobrovac edited projects, added Services (later); removed Services.Mar 1 2018, 8:40 PM
Pchelolo raised the priority of this task from Low to High.Jul 10 2019, 7:04 PM
Pchelolo added a subscriber: Pchelolo.

Reprioritizing as high priority since the wikimedia fork of swagger-ui is not maintained anymore, thus not receiving security updates.

Change 540459 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/services/mathoid@master] Upgrade Swagger UI

https://gerrit.wikimedia.org/r/540459

Change 540459 merged by jenkins-bot:
[mediawiki/services/mathoid@master] Upgrade Swagger UI

https://gerrit.wikimedia.org/r/540459

mobrovac closed this task as Resolved.Oct 4 2019, 11:48 AM
Aklapper added a project: Math.Jun 24 2020, 5:53 AM